// packageC/entry_orders/coupon_exchange/coupon_exchange.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getData();
  },
  num(e){
    console.log(e.detail.value);
    this.setData({
      wholesale_unm: e.detail.value
    });
  },
  getData() {
    let that = this;
    let urlStr = app.getNetAddresss("plugin.pending-order.frontend.member-wholesale.point");
    app._getNetWork({
      url: urlStr,
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          that.setData({
            info:res.data
          });
        }else {
          wx.showToast({
            icon: 'none',
            title: res.msg,
            duration: 1500
          });
          setTimeout(()=>{
            wx.navigateBack({
              delta: 1
            });
          },1500);
        }
      },
      fail: function (res) {
        console.log(res);
      }
    });
  },
  pointSwap(){
    if (typeof(this.data.wholesale_unm) == 'undefined'){
      wx.showToast({
        title: '请输入兑换张数',
        icon:'none'
      });
      return;
    }
    console.log(typeof (this.data.wholesale_unm));
    let json = {
      wholesale_unm: this.data.wholesale_unm, //兑换批发劵数量
      activity_id: this.data.info.activity_id //活动id
    };
    // let that = this;
    let urlStr = app.getNetAddresss("plugin.pending-order.frontend.member-wholesale.point-swap");
    app._getNetWork({
      url: urlStr,
      data:json,
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
        }
      },
      fail: function (res) {
        console.log(res);
      }
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
});